#include <game/agame/camcontroller.hpp>
#include <window/window.hpp>
#include <cmath>
#include <object/camera.hpp>
#include <state/gamestate.hpp>
#include <game/input.hpp>

namespace Game::AGame {
    void CamController::start() {
        mTex = nullptr; // No texture
        SDL_GetWindowSizeInPixels(Window::Window::getSDLWindowBackend(), &mScreenW, &mScreenH);

        mTransform.x = 0.f;
        mTransform.y = 0.f;
    }

    void CamController::update(float deltaTime) {
        if (!mIsActive) return;
    }
}